from openpyxl import load_workbook


wb = load_workbook("/Users/aminaettayebi/Documents/Innlevering/Regresjon/Barnehage/Barnehage.xlsx")
ws = wb.get_sheet_by_name('Høy temp')  # Work Sheet

# 1) Henter ut verdier fra excel
Temp = ws['B']  # Column
Demand= [[] for x in range(1,len(Temp)) ]
i=0
for value in ws.iter_rows(min_row=2,values_only=True):
    for j in range (2,39):
         Demand[i].append(value[j])

    i+=1

# 2) Regner ut SHdemand basert på likningen for barnehage
shdemand= [ ]
for i in range (len(Demand)):
    #for j in range (1,len(Demand[i])):
        sh_demand=  -1.1635* Demand[i][0]+ 0.6355* Demand[i][5]+ 3.6276* Demand[i][6]+ 7.1697*Demand[i][7]+ 9.9623*Demand[i][8]+\
                   8.9623* Demand[i][9]+ 8.0376* Demand[i][10]+ 8.2628* Demand[i][11]+ 7.7871* Demand[i][12]+ 7.1686*Demand[i][13]+\
                    7.3883* Demand[i][14]+ 7.3660* Demand[i][15]+ 6.6103*Demand[i][16]+ 4.5019*Demand[i][17] + 3.01415*Demand[i][18] + \
                     2.8177*Demand[i][19] +2.4715* Demand[i][20] + 2.3902*Demand[i][21]+ 1.4415*Demand[i][22]+ 1.1398*Demand[i][23]+\
                      -0.3652*Demand[i][25]+-1.0980*Demand[i][26]+ -1.2830*Demand[i][27]+ -1.2119*Demand[i][28]+ -0.6896*Demand[i][29]+ -0.5609*Demand[i][30]+\
                    -1.5536* Demand[i][31] + -0.9748 *Demand[i][32] + 14.0999
        shdemand.append(round(sh_demand,3))
# 3) Shdemand kan ikke være negativ
for i in range (len(shdemand)):
    if shdemand[i]<0:
        shdemand[i]=0



# 4) Skrive til tekst fil
with open('/Users/aminaettayebi/Documents/Innlevering/Regresjon/Barnehage/SHDemand_Barnehage_høy.txt', 'w') as f:
    f.write("[")
    for item in shdemand:
        f.write("%s \n" % item)
    f.write("]")

