from openpyxl import load_workbook
import xlrd


wb = load_workbook("/Users/aminaettayebi/Documents/Innlevering/Regresjon/Helse/Helse.xlsx")
ws = wb.get_sheet_by_name('Lav temp')  # Work Sheet


# 1)Henter ut verdier fra excel
Temp = ws['B']  # Column

Demand= [[] for x in range(1,len(Temp)) ]
i=0
for value in ws.iter_rows(min_row=2,values_only=True):
    for j in range (2,39):
         Demand[i].append(value[j])
    i+=1
shdemand= [ ]

# 2)Regner ut SHdemand basert på likningen for Helsestasjonen
for i in range (len(Demand)):
        sh_demand=  -0.9744* Demand[i][0]+ 0.2648* Demand[i][1]+  0.6292* Demand[i][3]+ 0.7159* Demand[i][4]+\
                     1.8527* Demand[i][5] +  2.5660* Demand[i][6]+ 3.0431* Demand[i][7]+ 4.413* Demand[i][8]+ 4.8592*Demand[i][9]+ 5.0284*Demand[i][10]+\
                    5.3328* Demand[i][11]+ 5.2635* Demand[i][12]+ 5.3412* Demand[i][13]+  5.3063* Demand[i][14]+ 5.0394*Demand[i][15]+\
                    4.7160* Demand[i][16]+ 4.5064* Demand[i][17]+ 3.6446*Demand[i][18]+ 3.0852*Demand[i][19] + 1.8059*Demand[i][20] + 1.8059*Demand[i][21] +\
                   1.3860* Demand[i][22] + 0.7026*Demand[i][23]+ -0.2766*Demand[i][25]+ -0.10503*Demand[i][26]+ 1.5811*Demand[i][27]+\
                    -1.7224*Demand[i][28]+ -1.6021*Demand[i][29]+ -1.5840*Demand[i][30]+ -1.9027*Demand[i][31]+ -1.2602*Demand[i][32]+ -0.4055*Demand[i][33]+ 13.7175
        shdemand.append(round(sh_demand,3))
# 3)Shdemand kan ikke være negativ
for i in range (len(shdemand)):
    if shdemand[i]<0:
        shdemand[i]=0


# 4) Skrive til tekst fil
with open('/Users/aminaettayebi/Documents/Innlevering/Regresjon/Helse/SHDemand_Helse_low.txt', 'w') as f:
    f.write("[")
    for item in shdemand:
        f.write("%s \n" % item)
    f.write("]")
