from openpyxl import load_workbook
import xlrd


wb = load_workbook("/Users/aminaettayebi/Documents/Innlevering/Regresjon/Kontor/Kontor.xlsx")
ws = wb.get_sheet_by_name('Høy temp')  # Work Sheet


# 1) Henter ut verdier fra excel
Temp = ws['B']  # Column
Demand= [[] for x in range(1,len(Temp)) ]
i=0
for value in ws.iter_rows(min_row=2,values_only=True):
    for j in range (2,39):
         Demand[i].append(value[j])
    i+=1





#2) Regner ut SHdemand basert på likningen for Kontorer
shdemand= [ ]
for i in range (len(Demand)):
    #for j in range (1,len(Demand[i])):
        sh_demand=  -0.84739* Demand[i][0]+ 0.8785* Demand[i][4]+\
                     1.9660* Demand[i][5] + 3.8097* Demand[i][6]+ 5.4705* Demand[i][7]+ 6.1393* Demand[i][8]+ 6.3925*Demand[i][9]+ 6.2753*Demand[i][10]+\
                    6.3805* Demand[i][11]+ 6.3890* Demand[i][12]+ 6.2500* Demand[i][13]+ 6.0930* Demand[i][14]+ 5.8191*Demand[i][15]+\
                    5.332363* Demand[i][16]+ 4.7586* Demand[i][17]+  3.8588* Demand[i][18]+ 2.7488*Demand[i][19]+ 2.1137*Demand[i][20] + 1.6473*Demand[i][21] + 1.2139*Demand[i][22] +\
                   0.7206* Demand[i][23] + -0.3210*Demand[i][25]+ -1.1257*Demand[i][26]+ -1.4547*Demand[i][27]+ -1.3697*Demand[i][28]+\
                     -0.8060 * Demand[i][29] + -0.8169*Demand[i][30]+ -1.5704*Demand[i][31]+ -1.1628*Demand[i][32]+ -0.2055*Demand[i][33]+ 9.6832


        shdemand.append(round(sh_demand,3))



# 3) Shdemand kan ikke være negativ
for i in range (len(shdemand)):
    if shdemand[i]<0:
        shdemand[i]=0



# 4) Skrive til tekst fil
with open("/Users/aminaettayebi/Documents/Innlevering/Regresjon/Kontor/SHDemand_Kontor_høy.txt", 'w') as f:
    f.write("[")
    for item in shdemand:
        f.write("%s \n" % item)
    f.write("]")



