from openpyxl import load_workbook



wb = load_workbook("/Users/aminaettayebi/Dropbox/innlevering/Regresjon/Leiligheter/Sep_apr.xlsx")# Work Book
ws = wb.get_sheet_by_name('Høy temp')  # Work Sheet

# 1) Henter ut verdier fra excel
Temp = ws['C']  # Column
Demand= [[] for x in range(1,len(Temp)) ]
i=0
for value in ws.iter_rows(min_row=2,values_only=True):
    for j in range (2, 39):
         Demand[i].append(value[j])

    i+=1

#2) Regner ut SHdemand basert på regresjons likningen for leiligheter
shdemand= [ ]
for i in range (len(Demand)):
        sh_demand=  -0.6035* Demand[i][0]+  1.1546* Demand[i][1] + -0.7694* Demand[i][3]+ -0.8871* Demand[i][4]+\
                    -0.8039* Demand[i][6]+ 0.8696* Demand[i][7]+ 1.3876*Demand[i][8]+ 1.6830* Demand[i][9]+ 1.5984*Demand[i][10]+ 2.5046*Demand[i][11]+\
                    3.2528* Demand[i][12]+ 3.7098* Demand[i][13]+3.9462* Demand[i][14]+ 3.0721* Demand[i][15]+ 3.0671*Demand[i][16]+\
                    3.0459* Demand[i][17] + 3.6014* Demand[i][18]+ 3.4388*Demand[i][19]+ 3.8516*Demand[i][20] + 3.5184*Demand[i][21] + 2.8995*Demand[i][22] +\
                   1.7998* Demand[i][23] + 1.5795*Demand[i][24]+ -0.34542*Demand[i][27]+ -1.3348*Demand[i][28]+ -2.1126*Demand[i][29]+ -2.4057*Demand[i][30]+\
                    -1.9780*Demand[i][31]+ -2.0507*Demand[i][32]+ -2.4323*Demand[i][33]+ -1.6573*Demand[i][34]+ -0.6640*Demand[i][35]+ 8.50527
        shdemand.append(round(sh_demand,3))
#3) Shdemand kan ikke være negativ
print(len(shdemand))
for i in range (len(shdemand)):
    if shdemand[i]<0:
        shdemand[i]=0


# 4) Skrive til tekst fil
with open('/Users/aminaettayebi/Dropbox/innlevering/Regresjon/Leiligheter/SHDemand_Høytemp.txt', 'w') as f:
    f.write("[")
    for item in shdemand:
        f.write("%s \t" % item)
    f.write("]")
