from openpyxl import load_workbook
import numpy as np


#Lage scenarioer for multi-horizon model
wb = load_workbook(".../Scenario_demand_til_python_multihorizon.xlsx")
lav_temp= wb.get_sheet_by_name('Lav temp2')
middel_temp= wb.get_sheet_by_name('Middel temp2')
høy_temp= wb.get_sheet_by_name('Høy temp2')
Nodes_lav_temp = lav_temp['B']  # Column


DemandSH1_lav= [[] for x in range(len(Nodes_lav_temp)-2) ]
DemandSH2_lav= [[] for x in range(len(Nodes_lav_temp)-2) ]

DemandSH1_middel= [[] for x in range(len(Nodes_lav_temp)-2) ]
DemandSH2_middel= [[] for x in range(len(Nodes_lav_temp)-2) ]

DemandSH1_høy= [[] for x in range(len(Nodes_lav_temp)-2) ]
DemandSH2_høy= [[] for x in range(len(Nodes_lav_temp)-2) ]

DemandSH1_sommer= [[] for x in range(len(Nodes_lav_temp)-2) ]
DemandSH2_sommer= [[] for x in range(len(Nodes_lav_temp)-2) ]


#Kjøre lav_temp
i=0
for value in lav_temp.iter_rows(min_row=3,values_only=True):
    for j in range (98,290):
         DemandSH1_høy[i].append(value[j])
    i+=1
for i in range (len(DemandSH1_høy)):
    for j in range (len(DemandSH1_høy[i])):
        #for a in range(1,4):
            DemandSH2_høy[i].append(round(DemandSH1_høy[i][j], 3))

#Kjøre middel
i=0
for value in middel_temp.iter_rows(min_row=3,values_only=True):
    for j in range (98,290):
         DemandSH1_middel[i].append(value[j])
    i+=1
for i in range (len(DemandSH1_middel)):
    for j in range (len(DemandSH1_middel[i])):
        #for a in range(1,4):
            DemandSH2_middel[i].append(round(DemandSH1_middel[i][j], 3))



#Kjøre høy temp
i=0
for value in høy_temp.iter_rows(min_row=3,values_only=True):
    for j in range (98,290):
         DemandSH1_lav[i].append(value[j])
    i+=1
for i in range (len(DemandSH1_lav)):
    for j in range (len(DemandSH1_lav[i])):
        #for a in range(1,4):
            DemandSH2_lav[i].append(round(DemandSH1_lav[i][j], 3))


#Kjøre måneder uten usikkerhet
i=0
for value in høy_temp.iter_rows(min_row=3,values_only=True):
    for j in range (2,98):
         DemandSH1_sommer[i].append(value[j])
    i+=1

Demand_avr_sommer=[]
for i in range (len(DemandSH1_sommer)):
    for j in range (len(DemandSH1_sommer[i])):
        for a in range(1,4):
            DemandSH2_sommer[i].append(round(DemandSH1_sommer[i][j], 3))
        Demand_avr_sommer.append((DemandSH1_sommer[i][j]+DemandSH1_sommer[i][j]+DemandSH1_sommer[i][j])/3)



Demand_avr=[]


DemandSH= [[] for x in range(len(Nodes_lav_temp)-2)]
for i in range (len(DemandSH2_lav)):
    for j in range (len(DemandSH2_lav[0])):
        DemandSH[i].append(DemandSH2_lav[i][j])
        DemandSH[i].append(DemandSH2_middel[i][j])
        DemandSH[i].append(DemandSH2_høy[i][j])
        Demand_avr.append(( DemandSH2_lav[i][j]+ DemandSH2_middel[i][j]+DemandSH2_høy[i][j])/3)

print(len(Demand_avr_sommer))

DemandSH_year= [[] for x in range(len(Nodes_lav_temp)-2)]

for i in range (len(DemandSH)):
    DemandSH_year[i]= DemandSH2_sommer[i]+DemandSH[i]



Y= [[0 for x in range(288*3)] for y in range(6)]

DemandSH2_year = np.vstack((Y,DemandSH_year,))


with open(".../DemandSH_multi.txt", 'w') as f:
    f.write("\n DemandSH: [")
    for a in range (len(DemandSH2_year)):
        for b in range (len(DemandSH2_year[0])):
            f.write(("%s" % DemandSH2_year[a][b]))
            f.write('\t')
        f.write('\n')
    f.write(" ]")
