from openpyxl import load_workbook
import xlrd


wb = load_workbook("/Users/aminaettayebi/Documents/Innlevering/Regresjon/Butikk/Butikk.xlsx")  # Work Book
ws = wb.get_sheet_by_name('Lav temp')  # Work Sheet


# 1) Henter ut verdier fra excel
Temp = ws['B']  # Column
Demand= [[] for x in range(1,len(Temp)) ]
i=0
print(len(Demand))
for value in ws.iter_rows(min_row=2,values_only=True):
    for j in range (2,39):
         Demand[i].append(value[j])
    i+=1


# 2) Regner ut SHdemand basert på likningen for butikker
shdemand= [ ]
for i in range (len(Demand)):
    #for j in range (1,len(Demand[i])):
        sh_demand=  -0.9683* Demand[i][0]+ -0.3547* Demand[i][2]+ -0.4766* Demand[i][3]+\
                     1.5567* Demand[i][6]+ 2.8659* Demand[i][7]+ 4.1055* Demand[i][8]+ 4.73880*Demand[i][9]+ 5.4444*Demand[i][10]+\
                    5.7972* Demand[i][11]+ 5.7447* Demand[i][12]+ 5.735* Demand[i][13]+ 5.5947* Demand[i][14]+ 5.5239*Demand[i][15]+\
                    5.08847* Demand[i][16]+ 4.81514* Demand[i][17]+ 4.2629*Demand[i][18]+ 3.8893*Demand[i][19] + 3.1014*Demand[i][20] + \
                     2.20495*Demand[i][21] +1.1927* Demand[i][22] + 0.7377*Demand[i][23]+ -0.4701*Demand[i][25]+ -1.7704*Demand[i][26]+\
                      -2.2935*Demand[i][27]+-1.8249*Demand[i][28]+ -0.5186*Demand[i][29]+ -0.5646*Demand[i][30]+ -2.1880*Demand[i][31]+\
                    -1.8860*Demand[i][32]+ -0.6082*Demand[i][33]+ 11.0999
        shdemand.append(round(sh_demand,3))
# 3)Shdemand kan ikke være negativ
for i in range (len(shdemand)):
    if shdemand[i]<0:
        shdemand[i]=0


# 4) Skrive til tekst fil
with open('/Users/aminaettayebi/Documents/Innlevering/Regresjon/Butikk/SHDemand_Butikk_low.txt', 'w') as f:
    f.write("[")
    for item in shdemand:
        f.write("%s \n" % item)
    f.write("]")
